PDA

View Full Version : availability SLES 11 SP2



klugmpausch
27-Feb-2012, 15:26
Hello,

somebody knows if SP2 for SLES 11 is available already?

Found this: http://www.novell.com/linux/releasenotes/i386/SUSE-SLES/11-SP2/
(Version 11.2.0.33 (2012-02-15) )

But can not find any download links :-(

Or is SP2 not released yet?

thanks.

malcolmlewis
27-Feb-2012, 15:44
Hello,

somebody knows if SP2 for SLES 11 is available already?

Found this:
http://www.novell.com/linux/releasenotes/i386/SUSE-SLES/11-SP2/
(Version 11.2.0.33 (2012-02-15) )

But can not find any download links :-(

Or is SP2 not released yet?

thanks.



Hi
No, not released yet... SUSE don't generally provide a release date.

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 1 day 11:47, 2 users, load average: 0.08, 0.06, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

malcolmlewis
27-Feb-2012, 20:06
Hello,

somebody knows if SP2 for SLES 11 is available already?

Found this:
http://www.novell.com/linux/releasenotes/i386/SUSE-SLES/11-SP2/
(Version 11.2.0.33 (2012-02-15) )

But can not find any download links :-(

Or is SP2 not released yet?

thanks.



Hi
It's there now ;)
http://download.novell.com/index.jsp

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 1 day 16:12, 2 users, load average: 0.06, 0.06, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

klugmpausch
28-Feb-2012, 09:58
Hi
It's there now ;)
http://download.novell.com/index.jsp



yesterday afternoon I made a service request to SuSE support and got as answer that SP2 isn't available yet....
Today morning they wrote me a mail that it is available now....

Maybe I was a little bit too impatient ;-)

josefkarliak
28-Feb-2012, 13:04
I've read release notes for SLES11 SP2 - it contains PHP5.3, but not php5-mssql. Is there some reason for it ? Of course, I could compile it, but why ? :)

Anybody knows more ?
Thanks
J.K.

malcolmlewis
29-Feb-2012, 07:28
I've read release notes for SLES11 SP2 - it contains PHP5.3, but not
php5-mssql. Is there some reason for it ? Of course, I could compile
it, but why ? :)

Anybody knows more ?
Thanks
J.K.



Hi
I would imagine because there is no support for it, hence it's not
included in the build...

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 3 days 3:33, 3 users, load average: 2.71, 1.34, 0.90
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

carco
02-Mar-2012, 15:59
I downloaded SLES 11 SP1 For VMware, installed it, and it works fine. But when I try to upgrade to SLES 11 SP2 For VMware I get an error when instaling from the first ISO-File:

Unable to save changes to the repository configuration.
Details: Repository_3: [|] Valid metadata not found at specified URL(s)
History: - Can't hardlink/copy /var/adm/mount/AP_0x00000001/media.1/media to /var/cache/zypp/raw/Repository_3AagLjP
- Can't provide /media.1/media : Can't hardlink/copy /var/adm/mount/AP_0x00000001/media.1/media to /var/cache/zypp/raw/Repository_3AagLjP

I will try also with the normal SP2 on a physical server. But maybe the distribution-ISO-Files contain still a bug?

Any hints will be very appreciated, Rosario

malcolmlewis
02-Mar-2012, 16:14
I downloaded SLES 11 SP1 For VMware, installed it, and it works fine.
But when I try to upgrade to SLES 11 SP2 For VMware I get an error when
instaling from the first ISO-File:

Unable to save changes to the repository configuration.
Details: Repository_3: [|] Valid metadata not found at specified
URL(s)
History: - Can't hardlink/copy
/var/adm/mount/AP_0x00000001/media.1/media to
/var/cache/zypp/raw/Repository_3AagLjP
- Can't provide /media.1/media : Can't hardlink/copy
/var/adm/mount/AP_0x00000001/media.1/media to
/var/cache/zypp/raw/Repository_3AagLjP

I will try also with the normal SP2 on a physical server. But maybe the
distribution-ISO-Files contain still a bug?

Any hints will be very appreciated, Rosario



Hi
Why not just install the SP2 image?
http://download.novell.com/Download?buildid=51050JB8KJo~

Did you register the system before upgrading?

Can you show your repository list;


zypper lr -d


--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 5 days 12:18, 3 users, load average: 0.00, 0.03, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

carco
05-Mar-2012, 15:12
Sorry but I do not understand: I downloaded the ISO-Files from where you suggest, then I mounted DVD1 and bootet from it. As I received the mentioned error, I added the ISO-Files to the repository and tried to start an upgrade from there, but again I got the same error. Here the zipper output:

# | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
--+-------------------------------------------------------------------+-------------------------------------------------------------------+---------+---------+----------+----------+----------------------------------------------------------------------------------+--------
1 | Repository | Repository | Yes | No | 99 | yast2 | iso:///?iso=SLE-11-SP1-SDK-DVD-i586-GM-DVD2.iso&url=file:///tmp/isofiles// |
2 | Repository_1 | Repository | Yes | No | 99 | yast2 | iso:///?iso=SLE-11-SP1-SDK-DVD-i586-GM-DVD2.iso&url=file:///tmp/isofiles// |
3 | Repository_2 | Repository | Yes | No | 99 | yast2 | iso:///?iso=SLES-11-SP1-DVD-i586-GM-DVD2.iso&url=file:///tmp/isofiles/ |
4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | Yes | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
5 | SUSE-Linux-Enterprise-Server-11-SP1_11.1.1-1.152 | SUSE-Linux-Enterprise-Server-11-SP1 11.1.1-1.152 | Yes | No | 99 | yast2 | iso:///?iso=SLES-11-SP1-DVD-i586-GM-DVD1.iso&url=file:///tmp/isofiles/ |
6 | SUSE-Linux-Enterprise-Software-Development-Kit-11-SP1_11.1.1-1.57 | SUSE-Linux-Enterprise-Software-Development-Kit-11-SP1 11.1.1-1.57 | Yes | No | 99 | yast2 | iso:///?iso=SLE-11-SP1-SDK-DVD-i586-GM-DVD1.iso&url=file:///tmp/isofiles/ |
7 | SUSE-Linux-Enterprise-Software-Development-Kit-11_11-0 | SUSE-Linux-Enterprise-Software-Development-Kit-11 11-0 | Yes | No | 99 | yast2 | iso:///?iso=SLE-11-SDK-DVD-i586-GM-Media1.iso&url=file:///tmp/isofiles// |
8 | SUSE-Linux-Enterprise-Software-Development-Kit-11_11-0_1 | SUSE-Linux-Enterprise-Software-Development-Kit-11 11-0 | Yes | No | 99 | yast2 | iso:///?iso=SLE-11-SDK-DVD-i586-GM-Media1.iso&url=file:///tmp/isofiles/ |
9 | tmpRPM | tmpRPM | Yes | Yes | 99 | plaindir | dir:///tmp |


By the way, when booting directly from the ISO-File mounted as CD/DVD the repositories get removed and hence can not interfere, just in case an old SDK or SP1 in the upper list could be incompatible with SP2.

And no, I could not register the product yet, as I have to get the product key from our VMware administrator. On the download page they say, we have to get an installation/product key directly from VMware, not from Novell. But the Installation/Upgrade fails long before the key can be checked. And I succeeded in installing the SP1 without key, meaning I have a 30 day trial system until I get the key from our VMware Admin.


Rosario

malcolmlewis
05-Mar-2012, 15:31
Hi
OK, you have the wrong media, you need the vmware version....
http://download.novell.com/Download?buildid=51050JB8KJo~

You don't need DVD2, unless you really want the src rpms, if so I would leave adding that until after the install, just like any SDK's.

Remove repositories 1, 2, 3, 5, 6, 7, 8 and 9. The add the above DVD as an iso image and upgrade.

markgard
05-Mar-2012, 23:02
I've read release notes for SLES11 SP2 - it contains PHP5.3, but not php5-mssql. Is there some reason for it ? Of course, I could compile it, but why ? :)

Anybody knows more ?


I had an open SR on this exact issue. I was informed that mssql is not included nor will be included in SP2, there are also plans to include support for it in any future release.

In short.... There is NO support from SUSE for php5-mssql.

carco
06-Mar-2012, 15:25
OK, I will try deleting the repositories, but as I told

a) I DO have the correct media, for VMware, SP 1 runs fine

b) I DO have the correct SP 2 media, again for VMware

c) if I boot from DVD1, existing repositories are removed anyway and the error appears

I'll report back in a few moments, Rosario

carco
06-Mar-2012, 15:49
Nope, no means to add this to the repository:

Unable to save changes to the repository x x
x x configuration. x x
x x Details: x x
x x Repository: [|] Valid metadata not found at specified URL(s) x x
x x History: x x
x x - Can't hardlink/copy /var/adm/mount/AP_0x00000001/media.1/media to /var/cache/zypp/raw/RepositoryKofxMv x x
x x - Can't provide /media.1/media : Can't hardlink/copy /var/adm/mount/AP_0x00000001/media.1/media to /var/cache/zypp/raw/RepositoryKofxMv x x

Repository x
x xx URL: iso:///?iso=SLES-11-SP2-for-VMware-DVD-i586-GM-DVD1.iso&url=file:///tmp/isofiles/ x
x xx Category: YaST



Rosario

malcolmlewis
06-Mar-2012, 16:24
Nope, no means to add this to the repository:

Unable to save changes to the repository
x
x
x x configuration.

x x
x x Details:

x x
x x Repository: [|] Valid metadata not found at
specified URL(s)
x x
x x History:

x x
x x - Can't hardlink/copy
/var/adm/mount/AP_0x00000001/media.1/media to
/var/cache/zypp/raw/RepositoryKofxMv x
x
x x - Can't provide /media.1/media : Can't
hardlink/copy /var/adm/mount/AP_0x00000001/media.1/media to
/var/cache/zypp/raw/RepositoryKofxMv x x

Repository
x
x
xx URL:
iso:///?iso=SLES-11-SP2-for-VMware-DVD-i586-GM-DVD1.iso&url=file:///tmp/isofiles/
x
x
xx Category: YaST



Rosario



Hi
You need to boot from the iso image to perform the upgrade? Else if you
wait until next week or so, the online update should be working.

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 0:27, 2 users, load average: 0.00, 0.01, 0.07
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

carco
07-Mar-2012, 09:32
YES, I tried both ways, first to boot from the ISO-Image and as it did not work, I tried adding it to the repository with yast2. I will try to boot once again today. On another server, I will try upgrading the normal SLES 11 SP1 to SP2 using the distribution for physical servers.

Rosario

carco
07-Mar-2012, 12:38
Oooh, look at this, when booting I checked the medium:

Result: Error -- MD5 sum does not match. This medium should not be used.

So maybe I have to download this ISO-File again?

Rosario

carco
07-Mar-2012, 15:16
OK, it is really that the novell download server disrupted the download when I did it, but as the files seemed to be ok, I didn't check the checksums. And at the moment my first attempt to download the second DVD2.iso file stalled and disrupted again. So I will keep trying until the download finishes correctly and check the md5 before attempting to boot from it or to add it to the repositories.

Rosario (many thanks for assistance)

malcolmlewis
07-Mar-2012, 15:59
OK, it is really that the novell download server disrupted the download
when I did it, but as the files seemed to be ok, I didn't check the
checksums. And at the moment my first attempt to download the second
DVD2.iso file stalled and disrupted again. So I will keep trying until
the download finishes correctly and check the md5 before attempting to
boot from it or to add it to the repositories.

Rosario (many thanks for assistance)



Hi
You don't need DVD2 to install just DVD1. Also if your creating a DVD
from the image, then burn at the slowest possible speed to ensure a
complete burn.


--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 11:19, 2 users, load average: 0.01, 0.03, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

Steinmeyer
20-Mar-2012, 12:35
Hi,

please don't try to upgrade your SLES11 SP1 for vmware with the normal SP2 media. You will not be able to register your subcription you got from vmware afterwards. Shame on SuSE for not giving instructions how to upgrade SLES11 for Vmware from SP1 to SP2 - not even in the release notes:

http://www.novell.com/linux/releasenotes/i386/SLES-for-VMware/11-SP2/

"To not affect the consistency of the release notes these are the same as the regular SUSE Linux Enterprise Server". Very helpful indeed.